Bug 8262 - [i965]glxgears hangs chip
[i965]glxgears hangs chip
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
git
x86 (IA32) Linux (All)
: highest critical
Assigned To: Eric Anholt
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-13 19:21 UTC by veelion (inactive account)
Modified: 2009-08-24 12:24 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
Xorg log (64.68 KB, text/plain)
2006-09-13 19:22 UTC, veelion (inactive account)
Details
xorg config (2.89 KB, text/plain)
2006-09-13 19:22 UTC, veelion (inactive account)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description veelion (inactive account) 2006-09-13 19:21:48 UTC
With the latest xf86-video-intel
with following environment
platform: 965G
OS: FC5 ia32
kernel: 2.6.17.7
Xorg: 7.1
glxgears running gives black square on Displayer and then leaded X to abort, on 
the console, some information given,
-------------------------------------
# glxgears
intelWaitIrq: drmI830IrqWait: -16
# Error in I830WaitLpRing(), now is -1441547084, start is -1441549085
pgetbl_ctl: 0x3ff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: 5f0 head: 128 len: 1f001 start 0
eir: 0 esr: 0 emr: ffdf
instdone: 0 instpm: 0
memmode: 0 instps: 0
hwstam: dfff ier: 0 imr: dfff iir: 20
space: 129840 wanted 131064

Fatal server error:
lockup

Error in I830WaitLpRing(), now is -1441545063, start is -1441547064
pgetbl_ctl: 0x3ff80001 pgetbl_err: 0x0
ipeir: 0 iphdr: 0
LP ring tail: 5f8 head: 128 len: 1f001 start 0
eir: 0 esr: 0 emr: ffdf
instdone: 0 instpm: 0
memmode: 0 instps: 0
hwstam: dfff ier: 0 imr: dfff iir: 20
space: 129832 wanted 131064

FatalError re-entered, aborting
lockup


[1]+  Aborted                 X
---------------------------------------
Comment 1 veelion (inactive account) 2006-09-13 19:22:15 UTC
Created attachment 6959 [details]
Xorg log
Comment 2 veelion (inactive account) 2006-09-13 19:22:40 UTC
Created attachment 6960 [details]
xorg config
Comment 3 Gordon Jin 2006-09-13 19:36:21 UTC
This happens on both 32-bit and 64-bit.
Comment 4 Gordon Jin 2006-09-14 21:52:12 UTC
Fixed in latest mesa by keithw.
Comment 5 ajax at nwnk dot net 2009-08-24 12:24:23 UTC
Mass version move, cvs -> git